#define DEBUG

#define PATH "/proc/sys/dev/sensors/bt869-i2c-1-44/"

#define CHROMA PATH"chroma"
#define DEPTH PATH"depth"
#define INTERLACE PATH"interlace"
#define NTSC PATH"ntsc"
#define RES PATH"res"
#define STATUS PATH"status"
#define TRESET PATH"treset"
#define COLORBARS PATH"colorbars"
#define HALF PATH"half"
#define LUMA PATH"luma"
#define RELOAD PATH"reload"
#define SRESET PATH"sreset"
#define SVIDEO PATH"svideo"
#define TV_OFF PATH"tv_off"

#define DATA_SIZE 11
#define DEFAULT_SAVE_FILE "3dfx_tvtool.save"
#define VERSION "0.0.2"


int write_tv_out(char *control_file, char *data);

int read_tv_out(char *control_file, char *data);

int load_settings(char *filename);
int save_settings(char *filename);

int button_action(GtkWidget *button, gpointer data);
